﻿# The script of the game goes in this file.

image Forest1 = "ForestBackground1.png"
image Forest2 = "ForestBackground2.png"
image ForestDead = "ForestBackgrounddead.png"
image ForestOverview = "ForestOverview.png"
image IceCreamPlace = "IceCreamPlace.png"
image IceCreamPlaceDead = "IceCreamPlaceDead.png"
image SirenHead1 = "SirenHead1.png"
image SirenHead2 = "SirenHead2.png"
image SirenHead3 = "SirenHead3.png"
image movie = Movie(size=(1280, 720), xpos=0, ypos=0, xanchor=0, yanchor=0, loop=False)


# Declare characters used by this game. The color argument colorizes the
# name of the character.

define s = Character("Siren Head")
define c = Character("[name]")


# The game starts here.

label start:
    scene black
#    $ name = renpy.input("What's your name?")
    $ name = "Porto"
    $ name = name.strip()
    if name == "":
        "Please enter an actual name."
        jump start
    if name == "Sean":
        "Top of the morning to ya!"
    if name == "Jack":
        "Top of the morning to ya!"
    if name == "Jacksepticeye":
        "Top of the morning to ya!"
    c "I decided to start my day with a walk in the woods."
    scene Forest1 with fade
    c "There's an abanon railroad track behind my house. It's perfect for walks."
    c "People use it often, but lately I haven't seen anyone around."
    c "Is it because of the bees?"
    scene Forest2 with dissolve
    play sound "SirenHead1.wav"
    c "What?..."
    c "A siren sound?"
    c "It's rare to get a tordano around here..."
    "Suddenly...Out of nowhere..."
    show SirenHead1 with vpunch
    c "AH!"
    "You fall to the ground."
    c "SIREN HEAD?!"
    c "This is it..."
    c "This is how I die..."
    menu:
        "God damn it!":
            play sound "SirenHead2.wav"
            scene ForestDead with dissolve
            "The sound of Siren Head pierces through your ears."
            "You head exsplodes."
            "And you die."
            "GAME OVER."
            stop sound
            return
        "No! It can't end like this!":
            "You try to punch Siren head..."
            "You miss."
            play sound "SirenHead2.wav"
            scene ForestDead with dissolve
            "The sound of Siren Head pierces through your ears."
            "You head exsplodes."
            "And you die."
            "GAME OVER."
            stop sound
            return
        "I JUST WANTED ICE CREAM!":
            stop sound
            "Siren Head stops."
            "Stares at you..."
            hide SirenHead1 with fade
            scene ForestOverview with fade
            "Siren Head lifts you up and gives you a nice overview of the forest."
            c "Wow...This view is beautiul."
            "You and Siren Head walk off..."
            scene IceCreamPlace with fade
            "To an ice cream store!"
            c "Oh...Do you want some ice cream too Siren Head?"
            show SirenHead1
            play sound "SirenHead1.wav"
            s "WOOOOOOOOOOOoooooooooo..."
            stop sound
            "You assume he's saying 'Yes. I would very much like some ice cream [name]'"
            c "Okay! Let's order some!"
            "The ice cream man looks at you both with a terrified look."
            "What would flavor would you like to get?"
            menu:
                "Vanilla":
                    c "Vanilla please!"
                    "..."
                    "Siren Head slowly turns his head towards you..."
                    play sound "SirenHead2.wav"
                    "Uh oh."
                    "You don't know what he's saying"
                    "But you assume he's saying 'I can't believe you're such a basic bitch to order vanilla ice cream?!'"
                    "You fucked up."
                    scene IceCreamPlaceDead with dissolve
                    "Your head exsplodes and you die."
                    "GAME OVER"
                    stop sound
                    return
                "Chocolate":
                    c "Chocolate please!"
                    "..."
                    "Siren Head slowly turns his head towards you..."
                    play sound "SirenHead2.wav"
                    "Uh oh."
                    "You don't know what he's saying"
                    "But you think it's somewhere along the lines of  'WTF?! YOU KNOW IM ALLERGIC TO CHOCOLATE!'"
                    "You fucked up."
                    scene IceCreamPlaceDead with dissolve
                    "Your head exsplodes and you die."
                    "And then Siren Head dies from a chocolate allergy."
                    "I hope you're happy you monster."
                    "GAME OVER"
                    stop sound
                    return
                "Strawberry":
                    c "Strawberry please!"
                    "..."
                    play sound "SirenHead1.wav"
                    s "WOOOOOOOOooooooo..."
                    stop sound
                    "You have no idea what he said. But you think it's somewhere along the lines of 'I would like strawberry too please!'"
                    hide SirenHead1
                    show SirenHead3
                    "Siren Head puts his ice cream into his mouth."
                    "He seems to be enjoying it."
                    play sound "SirenHead1.wav"
                    "WOOOOOOOoooooo...."
                    stop sound
                    "You have no idea what he said. But you think it's somewhere along the lines of 'Please tell me your life story.'"
                    c "Wow! On the first date?"
                    menu:
                        "No thanks, I really don't want to.":
                            "..." 
                            play sound "SirenHead2.wav"
                            "You have no idea what he's saying. But you think it's somewhere along the lines of 'Man I really though I could trust you. Oh well, time to die."
                            scene IceCreamPlaceDead with dissolve
                            "Your head exsplodes and you die."
                            "GAME OVER"
                            stop sound
                            return
                        "Sure! I'll tell you!":
                            c "Well I had a really happy childhood. Except for one thing..."
                            c "When I was young, my dog ran away and never came home..."
                            c "I miss him..."
                            hide SirenHead3
                            show SirenHead1
                            "Siren Head stays quiet for a second..."
                            "Until..."
                            play sound "dogsound.wav"
                            s "WOOF! WOOF! WOOF!"
                            c "Gasp!"
                            c "Sparky!"
                            c "You sound just like him!"
                            c "Wait a minute..."
                            menu:
                                "Does that mean you killed my dog you bastard?!":
                                    "..."
                                    play sound "SirenHead2.wav"
                                    "You have no idea what he's saying. But you think it's something along the line of 'MISSION ABORT! MISSION ABORT! THE BITCH FOUND OUT!'"
                                    "You just had to bring up your missing dog didn't you?"
                                    scene IceCreamPlaceDead with dissolve
                                    "Your head exsplodes and you die."
                                    "GAME OVER"
                                    stop sound
                                    return
                                "That's adorable!":
                                    c "Nobody have ever done something so thoughtful for me!"
                                    "Siren Head stays silent for a moment."
                                    hide SirenHead1
                                    show SirenHead2
                                    "He starts blushing."
                                    "You feel yourself start blushing as well."
                                    "Is...This what love feels like?"
                                    c "This was a lovely date Siren Head. I hope we can hang out again soon."
                                    play sound "SirenHead1.wav"
                                    s "WOOOOOOOooooo..."
                                    stop sound
                                    "You have no idea what he just said. But you think it's somewhere along the lines of 'I love you.'"
                                    c "I love you too Siren Head...I love you too."
                                    $ renpy.movie_cutscene ("SirenHeadEnding.ogv")
            

    return
